package com.tmerclub.cloud.multishop.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
public class ShopRechargeVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "扫码支付信息")
    private String payInfo;

    @Schema(description = "钱包id")
    private Long walletLogId;

    public ShopRechargeVO() {
    }

    public ShopRechargeVO(String payInfo, Long walletLogId) {
        this.payInfo = payInfo;
        this.walletLogId = walletLogId;
    }

    public String getPayInfo() {
        return payInfo;
    }

    public void setPayInfo(String payInfo) {
        this.payInfo = payInfo;
    }

    public Long getWalletLogId() {
        return walletLogId;
    }

    public void setWalletLogId(Long walletLogId) {
        this.walletLogId = walletLogId;
    }

    @Override
    public String toString() {
        return "ShopRechargeVO{" +
                "payInfo='" + payInfo + '\'' +
                ", walletLogId=" + walletLogId +
                '}';
    }
}
